/*------------------------------- header -------------------------------*/
.h_top {
    width: 100%;
    background-color: var(--white);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    transition: all .6s ease;
}
.h_inner {
    height: 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: height .6s ease;
}
.h_l {
    display: flex;
    align-items: center;
    gap: 60px;
}
.h_logo {
    width: 150px;
    transition: filter .6s ease;
}
.h_logo figure {
    width: 100%;
    height: 100%;
}

.h_nav ul {
    display: flex;
    align-items: center;
    gap: 6px;
}
.h_nav li {
    font-weight: var(--semi-bold);
    transition: color .6s ease;
}
.h_nav li.active {
    font-weight: var(--bold);
    color: #927B4B;
}
.h_nav a {
    padding: 20px;
    position: relative;
}
.h_tel {
    border-radius: 30px;
    background-color: rgba(255, 255, 255, 0);
    border: 1px solid var(--dark-line);
    transition: all .6s ease;
}
.h_tel a {
    padding: 8px 20px;
    display: flex;
    align-items: center;
    gap: 8px;
}
.tel_icon {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background-color: var(--primary);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background .6s ease;
}
.tel_icon img {
    width: 14px;
    height: 14px;
}
.h_tel p {
    font-weight: var(--semi-bold);
    color: var(--gray-600);
}

.h_ham {
    width: 40px;
    height: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
    display: none;
    cursor: pointer;
}
.h_ham span {
    width: 28px;
    height: 2px;
    background-color: var(--gray-600);
    border-radius: 1px;
    transition: background .6s ease;
}

.page_pagination {
    width: 100%;
    height: 2px;
    background-color: var(--dark-line);
    position: absolute;
    left: 0;
    bottom: 0;
    transition: background .6s ease;
}
.percent {
    display: block;
    width: 0%;
    height: 100%;
    background-color: var(--primary);
    transition: background .6s ease;
}


.h_top.white {
    background-color: rgba(255, 255, 255, 0);
}
.h_top.white .h_logo {
    filter: brightness(0) invert(1);
    -webkit-filter: brightness(0) invert(1);
}
.h_top.white .h_nav li {
    color: var(--white);
}
.h_top.white .h_tel {
    background-color: var(--white-100);
    border-color: var(--white-100);
}
.h_top.white .tel_icon {
    background-color: var(--white-200);
}
.h_top.white .h_tel p {
    color: var(--white);
}
.h_top.white .page_pagination {
    background-color: rgba(255, 255, 255, 0);
}
.h_top.white .percent {
    background-color: var(--white);
}
.h_top.white .h_ham span {
    background-color: var(--white);
}

.h_top.scroll {
    transform: translateY(calc(-100% + 2px));
}
.h_top.scroll .h_inner {
    height: 70px;
}


.ham_popup {
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 11;
    opacity: 0;
    pointer-events: none;
}

.ham_popup .ham_box {
    width: 50%;
    max-width: 320px;
    height: 100%;
    padding: 100px 20px;
    background-color: var(--white);
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
    transform: translateX(100%);
    transition: transform .6s ease;
}
.ham_list li {
    margin-bottom: 10px;
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
}
.ham_list li.active {
    color: #927B4B;
}
.ham_list li a {
    padding: 10px 0;
}

.ham_popup.show {
    opacity: 1;
    pointer-events: all;
}
.ham_popup.show .ham_box {
    transform: translateX(0);
}

/*------------------------------- quick -------------------------------*/
.quick_tel {
    display: none;
}
.quick {
    padding: 6px;
    background-color: var(--white);
    border: 1px solid var(--dark-line);
    border-right: none;
    border-radius: var(--radius) 0 0 var(--radius);
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 4px;
    position: fixed;
    top: 120px;
    right: 0;
    z-index: 8;
}
.quick li {
    width: 64px;
    height: 64px;
    border-radius: var(--radius);
    transition: background .6s ease;
}
.quick li:hover {
    background-color: var(--gray-200);
}
.quick li,
.quick a {
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.quick img {
    width: 20px;
    height: 20px;
}
.quick p {
    font-size: var(--ft12);
    font-weight: var(--medium);
    color: var(--gray-600);
}

/*------------------------------- footer -------------------------------*/
.footer {
    margin-top: 180px;
    padding: 100px 0;
    background-color: var(--gray-700);
}
.footer  * {
    color: var(--white);
}
.footer > div {
    display: flex;
    gap: 100px;
}
.f_map {
    width: 100%;
    max-width: 600px;
}
.map {
    width: 100%;
    height: 340px;
    border-radius: var(--radius);
    background-color: var(--gray-200);
    overflow: hidden;
}
.map_list {
    margin-top: 10px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}
.map_list li {
    width: 100%;
    border-radius: var(--radius);
    background-color: var(--white-100);
}
.map_list a {
    padding: 10px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.map_list img {
    width: 20px;
    height: 20px;
}
.map_list p {
    font-size: var(--ft14);
    font-weight: var(--semi-bold);
}

.f_r {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

/*-- f_center --*/
.f_center {
    width: 100%;
    max-width: 500px;
}
.f_name {
    width: 100%;
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
    padding-bottom: 28px;
    margin-bottom: 36px;
    border-bottom: 1px solid var(--white-400);
}
.f_address {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 12px;
}
.f_address a {
    display: flex;
    align-items: start;
    gap: 40px;
}
.f_address_name {
    width: 60px;
    display: flex;
    align-items: center;
    gap: 8px;
    flex-shrink: 0;
}
.f_address_name img {
    width: 16px;
    height: 16px;
    flex-shrink: 0;
}
.f_address_name p {
    font-weight: var(--medium);
}
.f_address li:hover a > p {
    text-decoration: underline;
}

.f_info {
    margin-top: 60px;
    display: flex;
    align-items: center;
    gap: 24px;
}
.f_info li {
    display: flex;
    align-items: center;
    gap: 20px;
    padding-right: 24px;
    position: relative;
}
.f_info li::after {
    content: '';
    display: block;
    width: 1px;
    height: 10px;
    background-color: var(--white-400);
    position: absolute;
    right: 0;
}
.f_info li:last-child {
    padding-right: 0;
}
.f_info li:last-child::after {
    display: none;
}
.f_info p.bold {
    opacity: 1;
}
.f_info p {
    opacity: .7;
}

.f_menu {
    margin-top: 20px;
    display: flex;
    align-items: center;
    gap: 24px;
}
.f_menu li {
    opacity: .7;
}
.f_menu li:first-child {
    opacity: 1;
}


/*-- f_last --*/
.f_last {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: end;
}

.f_top {
    display: flex;
    align-items: center;
    gap: 10px;
}
.family {
    position: relative;
}
.family_main {
    width: 170px;
    height: 44px;
    padding: 0 24px;
    border-radius: var(--radius);
    background-color: var(--white-100);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}
.family_main p {
    font-size: var(--ft14);
}
.family_main img {
    width: 10px;
    height: 10px;
    filter: brightness(0) invert(1);
    -webkit-filter: brightness(0) invert(1);
    transition: transform .3s ease;
}
.family_main.open img {
    transform: rotate(180deg);
}
.family_list {
    width: 100%;
    max-height: 140px;
    overflow-y: scroll;
    padding: 4px;
    border-radius: var(--radius);
    background-color: #393939;
    position: absolute;
    top: calc(100% + 10px);
    left: 0;
    z-index: 1;
    display: none;
}
.family_list::-webkit-scrollbar {
    width: 2px;
}
.family_list li {
    border-radius: var(--radius);
    transition: background .3s ease;
}
.family_list li:hover {
    background-color: var(--white-100);
}
.family_list li a {
    font-size: var(--ft14);
    color: var(--white);
    padding: 10px;
}

.top_btn {
    width: 44px;
    height: 44px;
    border-radius: var(--radius);
    background-color: var(--white-100);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.top_btn p {
    font-size: var(--ft14);
}
.f_btm {
    display: flex;
    align-items: center;
    gap: 20px;
}
.f_btm a:hover {
    text-decoration: underline;
}
.f_btm * {
    width: fit-content;
    font-size: var(--ft14);
    color: var(--white-700);
}


/*------------------------------- page_top -------------------------------*/
.page_top {
    margin-top: 180px;
}
.page_path,
.path_home {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 18px;
}
.path_home::after {
    content: '';
    display: block;
    width: 0px;
    height: 1px;
    background-color: var(--gray-600);
    flex-shrink: 0;
    animation: path .6s .2s ease forwards;
}
@keyframes path {
    to {
        width: 40px;
    }
}
.path_menu {
    position: relative;
}
.menu_box {
    display: flex;
    align-items: center;
    gap: 6px;
    cursor: pointer;
}
.menu_box p {
    font-weight: var(--semi-bold);
    color: var(--primary);
}
.menu_box .menu_cir {
    width: 14px;
    height: 14px;
    border-radius: 50%;
    background-color: var(--gray-200);
    display: flex;
    justify-content: center;
    align-items: center;
}
.menu_box .menu_cir img {
    width: 6px;
    height: 6px;
    transition: transform .4s ease;
}

.menu_box.open img {
    transform: rotate(180deg);
}

.menu_list {
    width: 90px;
    padding: 4px;
    border-radius: var(--radius);
    background-color: var(--white);
    border: 1px solid var(--dark-line);
    position: absolute;
    top: calc(100% + 10px);
    z-index: 1;
    display: none;
}
.menu_list li {
    font-size: var(--ft14);
    font-weight: var(--medium);
    color: var(--gray-600);
    border-radius: var(--radius);
    transition: background .3s ease;
}
.menu_list li:hover {
    background-color: var(--primary-bg);
}
.menu_list li a {
    padding: 6px;
}

.page_title {
    margin-top: 24px;
    font-size: var(--ft60);
    font-weight: var(--semi-bold);
    text-align: center;
    opacity: 0;
    transform: translateY(10px);
    animation: title .6s .4s ease forwards;
}
@keyframes title {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
.page_text {
    margin-top: 40px;
    font-size: var(--ft18);
    color: var(--gray-600);
    text-align: center;
}


/*------------------------------- btn -------------------------------*/
.btn {
    width: fit-content;
    border-radius: var(--radius);
    border: 1px solid var(--dark-line);
    transition: background .4s ease;
}
.btn:hover {
    background-color: var(--primary-bg);
}
.btn .inner,
.btn.inner {
    padding: 14px 28px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
}
.btn p {
    font-weight: var(--semi-bold);
    color: var(--gray-600);
}
.btn_hover {
    width: 14px;
    height: 14px;
    overflow: hidden;
    position: relative;
}
.btn_hover img:first-child {
    position: absolute;
    transform: translateX(-110%);
}
.btn:hover img:first-child {
    transition: transform .4s ease;
    transform: translateX(0);
}
.btn:hover img:last-child {
    transition: transform .4s ease;
    transform: translateX(110%);
}

.btn.white {
    border-color: var(--white);
}
.btn.white p {
    color: var(--white);
}
.btn.white .btn_hover img {
    filter: brightness(0) invert(1);
    -webkit-filter: brightness(0) invert(1);
}
.btn.white:hover {
    background-color: var(--white-100);
}

.btn.bg {
    background-color: var(--primary);
    border: none;
}
.btn.bg p {
    color: var(--white);
}
.btn.bg .btn_hover img {
    filter: brightness(0) invert(1);
    -webkit-filter: brightness(0) invert(1);
}


/*------------------------------- loader_bg -------------------------------*/
.loader_bg {
    width: 100%;
    height: 100vh;
    background-color: var(--black-400);
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 20;
    display: none;
}
.loader_bg.active {
    display: flex;
}
.loader {
    width: 35px;
    aspect-ratio: 1;
    --_g: no-repeat radial-gradient(farthest-side,#fff 94%,#fff);
    background:
        var(--_g) 0    0,
        var(--_g) 100% 0,
        var(--_g) 100% 100%,
        var(--_g) 0    100%;
    background-size: 40% 40%;
    animation: loader .6s infinite; 
}
@keyframes loader {
    100% {background-position: 100% 0,100% 100%,0 100%,0 0}
}


/*------------------------------- contact_list -------------------------------*/
.contact_list {
    display: flex;
    align-items: center;
    gap: 50px;
}
.contact_list li {
    padding-right: 50px;
    position: relative;
    cursor: pointer;
}
.contact_list li::after {
    content: '';
    display: block;
    width: 1px;
    height: 50px;
    background-color: var(--dark-line);
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
}
.contact_list li:last-child {
    padding-right: 0;
}
.contact_list li:last-child::after {
    display: none;
}
.contact_box {
    margin-top: 12px;
    display: flex;
    align-items: center;
    gap: 10px;
} 
.contact_box img {
    width: 18px;
    height: 18px;
}
.contact_box p {
    font-size: var(--ft18);
    font-weight: var(--medium);
}



/*------------------------------- location_popup -------------------------------*/
.location_popup {
    width: 100%;
    height: 100vh;
    padding: 0 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 20;
    opacity: 0;
    pointer-events: none;
    transition: opacity .4s ease;
}
.location_popup.show {
    opacity: 1;
    pointer-events: all;
}
.popup_bg {
    width: 100%;
    height: 100vh;
    background-color: var(--black-400);
    position: absolute;
    top: 0;
    left: 0;
}
.popup_box {
    width: 100%;
    max-width: 530px;
    padding: 80px 40px 50px;
    border-radius: var(--radius);
    background-color: var(--white);
    position: relative;
    z-index: 1;
    transform: translateY(20px);
    transition: transform .3s ease;
}
.location_popup.show .popup_box {
    transform: translateX(0);
}
.popup_close {
    width: 32px;
    height: 32px;
    position: absolute;
    top: 20px;
    right: 20px;
    cursor: pointer;
}
.popup_title {
    margin-bottom: 16px;
    font-size: var(--ft24);
    font-weight: var(--semi-bold);
    text-align: center;
}
.popup_text {
    color: var(--gray-600);
    text-align: center;
}
.navi {
    margin-top: 12px;
    width: 100%;
    padding: 10px;
    background-color: var(--primary-bg);
    font-size: var(--ft14);
    font-weight: var(--medium);
    border-radius: var(--radius);
    text-align: center;
}
.location_popup .map {
    height: 200px;
    margin-top: 10px;
}
.location_popup .map_list li {
    background-color: var(--gray-200);
}
.location_popup .map_list li p {
    color: var(--gray-600);
}
.location_popup .contact_list {
    margin-top: 32px;
    justify-content: center;
    flex-direction: column;
    gap: 12px;
}
.location_popup .contact_list li {
    width: 100%;
    border-bottom: 1px solid var(--dark-line);
    transition: border .3s ease;
}
.location_popup .contact_list li:hover {
    border-color: var(--gray-600);
}
.location_popup .contact_list li::after {
    display: none;
}
.location_popup .contact_list a {
    padding: 10px;
    display: flex;
    align-items: center;
}
.location_popup .contact_name {
    width: 120px;
    font-size: var(--ft14);
    flex-shrink: 0;
}
.location_popup .contact_box {
    margin-top: 0;
}
.location_popup .contact_box img {
    width: 16px;
    height: 16px;
}
.location_popup > p {
    font-weight: var(--medium);
}
.location_popup .contact_box p {
    font-size: var(--ft16);
}

.policy_container {
    margin-top: 180px;
}
.policy_title {
    font-size: var(--ft50);
    font-weight: var(--semi-bold);
    text-align: center;
    padding-bottom: 40px;
    margin-bottom: 40px;
    border-bottom: 1px solid var(--dark-line);
}

@media all and (max-width: 1700px) {
    /*-- footer --*/
    .f_r {
        flex-direction: column;
        gap: 20px;
    }
    .f_last {
        gap: 20px;
    }
}

@media all and (max-width: 1700px) {
    /*-- footer --*/
    .footer > div {
        gap: 60px;
    }
}

@media all and (max-width: 1400px) {
    /*-- header --*/
    .h_inner {
        height: 70px;
    }
    .h_l {
        gap: 40px;
    }
    .h_logo {
        width: 130px;
    }
}

@media all and (max-width: 1024px) {
    /*-- header --*/
    .h_inner {
        height: 70px;
    }
    .h_nav, .h_tel {
        display: none;
    }
    .h_logo {
        width: 120px;
    }
    .h_ham {
        display: flex;
    }
    
    .quick_wrap {
        width: 100%;
        height: 60px;
        background-color: var(--white);
        display: flex;
        position: fixed;
        bottom: 0;
        left: 0;
        z-index: 10;
    }
    .quick_tel {
        width: 100%;
        display: block;
        background-color: var(--primary);
    }
    .quick_tel a {
        padding: 0 20px;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 14px;
    }
    .quick_tel div {
        display: flex;
        align-items: center;
        gap: 6px;
    }
    .quick_tel div img {
        width: 14px;
        height: 14px;
    }
    .quick_tel div p {
        font-size: var(--ft14);
        font-weight: var(--medium);
        color: var(--white);
    }
    .quick_tel a > p {
        font-weight: var(--semi-bold);
        color: var(--white);
    }
    
    .quick {
        width: 50%;
        padding: 0 6px;
        grid-template-columns: repeat(3, 1fr);
        position: static;
        border: none;
        border-top: 1px solid var(--dark-line);
        border-radius: none;
        flex-shrink: 0;
    }
    .quick li {
        width: 100%;
        height: 100%;
    }
    .quick li.location, 
    .quick a {
        gap: 6px;
        padding: 0 6px;
    }
    .quick img {
        width: 16px;
        height: 16px;
    } 

    /*-- footer --*/
    .footer {
        margin-top: 100px;
        padding: 60px 0 120px;
    }
    .footer > div {
        padding-bottom: 130px;
        flex-direction: column;
        gap: 32px;
    }
    .f_center {
        max-width: 100%;
    }
    .f_name {
        padding-bottom: 20px;
        margin-bottom: 20px;
    }
    .f_map {
        max-width: 100%;
        order: 2;
    }
    .f_last {
        position: absolute;
        bottom: 0;
        align-items: start;
    }

    /*-- page_top --*/
    .page_top {
        margin-top: 120px;
    }
    .page_title {
        font-size: var(--ft50);
    }
}

@media all and (max-width: 768px) {
    /*-- header --*/
    .h_inner {
        height: 60px;
    }

    .popup_box {
        padding: 50px 20px 40px;
    }
    .popup_title {
        margin-top: 10px;
        font-size: var(--ft20);
    }
    .location_popup .map {
        display: none;
    }
    .location_popup .contact_box p {
        width: 100px;
    }

    /*-- footer --*/
    .f_r * {
        font-size: var(--ft14);
    }
    .f_name {
        font-size: var(--ft16);
        padding-bottom: 12px;
        margin-bottom: 12px;
    }
    .f_address a {
        gap: 24px;
    }
    .f_info {
        margin-top: 32px;
        flex-direction: column;
        align-items: start;
        gap: 10px;
    }
    .f_info li::after {
        display: none;
    }
    .f_info p.bold {
        width: 75px;
        flex-shrink: 0;
    }
    .f_menu {
        gap: 14px;
    }
    .map {
        height: 200px;
    }
    .map_list {
        grid-template-columns: repeat(1, 1fr);
    }
    gmp-advanced-marker img {
        scale: .7;
    }
    .f_btm {
        gap: 12px;
        flex-wrap: wrap;
    }

    /*-- page_top --*/
    .page_path * {
        font-size: var(--ft14);
    }
    .page_title {
        font-size: var(--ft36);
    }
    .page_text {
        margin-top: 16px;
        font-size: var(--ft16);
    }

    /*-- contact_list --*/
    .page .contact_list {
        flex-wrap: wrap;
        gap: 16px 10px;
    }
    .page .contact_list li {
        padding: 0;
    }
    .page .contact_list li::after {
        display: none;
    }
    .page .contact_box {
        margin-top: 0;
    }
    .page .contact_list li:first-child a {
        padding: 10px 20px;
        padding-left: 32px;
        display: flex;
        align-items: center;
        gap: 12px;
        position: relative;
    }
    .page .contact_list li:first-child img {
        position: absolute;
        left: 10px;
    }
    .page .contact_list li:first-child {
        width: 100%;
        border-bottom: 1px solid var(--dark-line);
    }
    .page .contact_list li:nth-child(2) .contact_box p,
    .page .contact_list li:nth-child(3) .contact_box p {
        display: none;
    }
    .page .contact_list li:nth-child(2),
    .page .contact_list li:nth-child(3) {
        width: calc(50% - 10px);
    }
    .page .contact_list li:nth-child(2) a,
    .page .contact_list li:nth-child(3) {
        padding: 12px 20px;
        border-radius: var(--radius);
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 8px;
    }
    .page .contact_list li:nth-child(2) .contact_name,
    .page .contact_list li:nth-child(3) .contact_name {
        order: 2;
    }
    .page .contact_box img {
        width: 14px;
        height: 14px;
    }
    .page .contact_name {
        font-size: var(--ft14);
    }

    .policy_container {
        margin-top: 120px;
    }
    .policy_title {
        margin-bottom: 24px;
        padding-bottom: 24px;
        font-size: var(--ft32);
    }
}

@media all and (max-width: 400px) {
    /*-- header --*/
    .quick_tel a {
        flex-direction: column;
        align-items: start;
        gap: 4px;
    }
    .quick {
        width: auto;
        min-width: 50%;
    }
    .quick_tel div img {
        width: 12px;
        height: 12px;
    }
    .quick_tel div p {
        font-size: var(--ft12);
    }

    /*-- footer --*/
    .footer > div {
        padding-bottom: 160px;
    }
    .f_btm {
        flex-direction: column;
        align-items: start;
        gap: 4px;
    }
}